# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define __libtoolize /bin/true
%define name    knetworkled
%define version 0.5.1
%define release 1.2006mcnl
%define summary KDE Network activiity monitory
%define section System/Monitoring

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrakeclub.nl
URL:            http://www.glitch13.com/knetworkled.php
License:        LGPL
Group:          Network
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:  libkdebase4-devel

%description
KDE Network activity monitor, behaves just like the windows system tray (systemtray) icon that blinks on network activitiy.

%prep

%setup -q

%build
%configure 

%make 

%install

%makeinstall 

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="Knetworkled" \
longtitle="%summary"
EOF

%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755) 
%doc README NEWS COPYING AUTHORS 
%{_datadir}/*
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applnk/Utilities/knetworkled.desktop
%{_datadir}/apps/knetworkled/knetworkledui.rc
%{_datadir}/doc/HTML/en/%{name}/*
%{_iconsdir}/hicolor/16x16/apps/knetworkled.png
%{_iconsdir}/hicolor/32x32/apps/knetworkled.png



%changelog 

*Sun Oct 16 2005 Marco Meijer, <marco@mandrivaclub.nl> 0.5.1-1.2006mcnl
Mandriva 2006 versie

*Wed Jun 09 2004 Marco Meijer, <marco@mandrivaclub.nl> 0.5.1.1mcnl
new version

*Sun Jun 07 2004 Marco Meijer, <marco@mandrivaclub.nl> 0.5.2mcnl
Solved problem with place icon

*Sun May 30 2004 Marco Meijer, <marco@mandrivaclub.nl> 0.5.1mcnl
new release


